API Reference - GET /codelist/applicationstatuses
Page content
The ApplicationStatuses endpoint returns a list of Application Status values and the corresponding codes.
Resource
GET /api/codelist/applicationstatuses
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [{
"Code": "12001",
"Value": "Received",
"LastModified": "2016-10-21T06:12:50.92",
"IsDisabled": "No"
}],
"id": "ApplicationStatus"
}],
"DateGenerated": "2018-08-02T14:11:20.9282358-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | Application Status Interval code |
| Value | String | Application Status Interval value |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the Application Status been disabled. Values are Yes or No. |
| DateGenerated | Date | Date of request |
An official website of the United States Government